/*
 * Copyright © 2021 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel21-Dilemma.
 *
 * Ipspiel21-Dilemma is free software: you can redistribute it and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * Ipspiel21-Dilemma is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with ipspiel21-Dilemma. If not, see
 * <http://www.gnu.org/licenses/>.
 */
package de.fhdw.gaming.ipspiel21.dilemmaOriginal.domain;

import de.fhdw.gaming.core.domain.GameBuilderFactory;
import de.fhdw.gaming.core.domain.GameException;
import de.fhdw.gaming.core.ui.InputProvider;

/**
 * A Dilemma {@link GameBuilderFactory} which allows to create a Dilemma game builder.
 */
public interface DilemmaGameBuilderFactory extends GameBuilderFactory {

    /**
     * Player's outcome on no/no.
     */
    String PARAM_PLAYER_OUTCOME_ON_NO_NO = "playerOutcomeBothSilent";

    /**
     * Player's outcome on no/yes.
     */
    String PARAM_PLAYER_OUTCOME_ON_NO_YES = "playerOutcomeSecondConfess";

    /**
     * Player's outcome on no/no.
     */
    String PARAM_PLAYER_OUTCOME_ON_YES_NO = "playerOutcomeFirstConfess";

    /**
     * Player's outcome on no/yes.
     */
    String PARAM_PLAYER_OUTCOME_ON_YES_YES = "playerOutcomeBothConfess";

    @Override
    DilemmaGameBuilder createGameBuilder(InputProvider inputProvider) throws GameException;
}
