/*
 * Copyright © 2021 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel21-dilemma.
 *
 * Ipspiel21-dilemma is free software: you can redistribute it and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * Ipspiel21-dilemma is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with ipspiel21-dilemma. If not, see
 * <http://www.gnu.org/licenses/>.
 */
module de.fhdw.gaming.ipspiel21.dilemmaOriginal {
    exports de.fhdw.gaming.ipspiel21.dilemmaOriginal.domain;
    exports de.fhdw.gaming.ipspiel21.dilemmaOriginal.domain.factory;
    exports de.fhdw.gaming.ipspiel21.dilemmaOriginal.domain.impl;
    exports de.fhdw.gaming.ipspiel21.dilemmaOriginal.moves;
    exports de.fhdw.gaming.ipspiel21.dilemmaOriginal.moves.factory;
    exports de.fhdw.gaming.ipspiel21.dilemmaOriginal.moves.impl;
    exports de.fhdw.gaming.ipspiel21.dilemmaOriginal.strategy;

    requires transitive de.fhdw.gaming.core;
    requires de.fhdw.gaming.ipspiel21.evolution;
    
    uses de.fhdw.gaming.ipspiel21.dilemmaOriginal.domain.factory.DilemmaStrategyFactory;
    uses de.fhdw.gaming.ipspiel21.evolution.GameHistoryCollectionImpl;

    provides de.fhdw.gaming.ipspiel21.dilemmaOriginal.domain.factory.DilemmaStrategyFactory
            with de.fhdw.gaming.ipspiel21.dilemmaOriginal.strategy.DilemmaAlwaysConfessStrategyFactory,
            de.fhdw.gaming.ipspiel21.dilemmaOriginal.strategy.DilemmaStaySilentStrategyFactory,
            de.fhdw.gaming.ipspiel21.dilemmaOriginal.strategy.DilemmaMistrustStrategyFactory,
//            de.fhdw.gaming.ipspiel21.dilemma.strategy.DilemmaNastyStrategyFactory,
//            de.fhdw.gaming.ipspiel21.dilemma.strategy.DilemmaPavlovStrategyFactory,
//            de.fhdw.gaming.ipspiel21.dilemma.strategy.DilemmaPeriodicallyKindStrategyFactory,
//            de.fhdw.gaming.ipspiel21.dilemma.strategy.DilemmaProberStrategyFactory,
            de.fhdw.gaming.ipspiel21.dilemmaOriginal.strategy.DilemmaSpiteStrategyFactory,
            de.fhdw.gaming.ipspiel21.dilemmaOriginal.strategy.DilemmaTitForTatStrategyFactory,
            de.fhdw.gaming.ipspiel21.dilemmaOriginal.strategy.DilemmaCustomStrategyFactory;

//    provides de.fhdw.gaming.core.domain.GameBuilderFactory
//            with de.fhdw.gaming.ipspiel21.dilemmaOriginal.domain.impl.DilemmaGameBuilderFactoryImpl;

    opens de.fhdw.gaming.ipspiel21.dilemmaOriginal.domain;
    opens de.fhdw.gaming.ipspiel21.dilemmaOriginal.domain.impl;
    opens de.fhdw.gaming.ipspiel21.dilemmaOriginal.moves;
    opens de.fhdw.gaming.ipspiel21.dilemmaOriginal.strategy;

}